# Exports

### Client Exports

<table><thead><tr><th width="282">Export</th><th width="450">Result</th></tr></thead><tbody><tr><td><code>exports.frozen_ambulance:isPlayerDead(serverId)</code></td><td><em>Returns if player is dead. If used without <code>serverId</code> parameter it will return the death status of the local player</em></td></tr><tr><td><code>exports.frozen_ambulance:diagnosePatient()</code></td><td><em>Gives notification of what injury a nearby dead player has. If no injury it will notify that no further treatment is needed</em></td></tr><tr><td><code>exports.frozen_ambulance:treatPatient(injury)</code></td><td><em>Treats a nearby player for whichever injury is place in the <code>injury</code> parameter. Restricted to 'ambulance' and 'police' jobs (Possible Injuries: shot, stabbed, beat, burned)</em></td></tr><tr><td><code>exports.frozen_ambulance:reviveTarget()</code></td><td><em>Performs CPR and revives nearby player given they have the item requirement</em></td></tr><tr><td><code>exports.frozen_ambulance:healTarget()</code></td><td><em>If no close by player OR non-ambulance, it will perform a self-heal given the player has the required item. Otherwise it will start healing nearby player</em></td></tr><tr><td><code>exports.frozen_ambulance:useSedative()</code></td><td><em>Performs the act of sedating nearby player. If you lack the required item or there are no nearby players, it will notify you of failure</em></td></tr><tr><td><code>exports.frozen_ambulance:placeInVehicle()</code></td><td><em>Places nearby player in vehicle. If not player nearby it will notify you of failure.</em></td></tr><tr><td><code>exports.frozen_ambulance:loadStretcher()</code></td><td><em>Will place a nearby player on a nearby stretcher. Recommended to check for nearby stretcher prior to executing this export</em></td></tr><tr><td><code>exports.frozen_ambulance:openOutfits(hospital)</code></td><td>Opens outfit menu for whichever hospital ID(The name you give each hospital in <code>Config.Locations</code></td></tr></tbody></table>

### Server Exports

| Export                                             | Result                                                       |
| -------------------------------------------------- | ------------------------------------------------------------ |
| `exports.frozen_ambulance:RevivePlayer(SERVER_ID)` | Will revive player with server id passed through `SERVER_ID` |
|                                                    |                                                              |
|                                                    |                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frozen-scripts.com/scripts/frozen-medic-job/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
